## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname h2

%global common_description %{expand:
HTTP/2 Protocol Stack This repository contains a pure-Python
implementation of a HTTP/2 protocol stack. It's written from the ground up to
be embeddable in whatever program you choose to use, ensuring that you can
speak HTTP/2 regardless of your programming paradigm.}

Name:           python-%{srcname}
Version:        4.1.0
Release:        %autorelease
Summary:        HTTP/2 State-Machine based protocol implementation

License:        MIT
URL:            https://hyper-h2.readthedocs.io
VCS:            https://github.com/python-hyper/h2
Source0:        %vcs/archive/v%{version}/%{srcname}-%{version}.tar.gz
# downstream only patch
Patch0:         0001-Fedora-tox-adjustments.patch
# repr() changes in Python 3.11
Patch1:         0001-Fix-repr-checks-for-Python-3.11.patch

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description %{common_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}

%package doc
Summary:        Documentation for %{name}

%description doc
%{common_description}

This is the documentation package for %{name}.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=%{pyproject_build_lib}  sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}

%files doc
%doc html
%license LICENSE

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-13
- Minor fixes

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-12
- Re;ove tox -e docs to use latest Sphinx deps

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-11
- Minor fixes

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-10
- Remove docs switch

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-9
- Add missing make BR

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-8
- Fix typo

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com>
- Remove deletion of egg.info

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com>
- Convert to new Python guidelines

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 4.1.0-5
- Rebuilt for Python 3.11

* Tue May 17 2022 Carl George <carl@george.computer> - 4.1.0-4
- Fix docs conditionals

* Tue May 17 2022 Carl George <carl@george.computer> - 4.1.0-3
- Remove pytest-cov and pytest-xdist build dependencies

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 18 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.0-1
- Update to 4.1.0 Close: rhbz#2011034

* Mon Jul 19 2021 Miro Hrončok <mhroncok@redhat.com> - 4.0.0-7
- Remove workaround for Python 3.10 new repr() behavior
- Enum reprs were reverted to Python 3.9 behavior in Python 3.10.b4

* Tue Jun 29 21:33:52 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-6
- Fix compatibility with Sphinx 4.0.2
- Close: rhbz#1977331

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.0.0-5
- Rebuilt for Python 3.10

* Tue Apr 13 21:52:01 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-4
- Add workaround for Python 3.10 new repr() behavior
- Fix: rhbz#1948992

* Tue Mar  9 08:32:35 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-3
- Add patch to workaround the issues with hypothesis 6.6
- Close: rhbz#1936524

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 14 15:28:57 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-1
- Update to 4.0.0
- Close: rhbz#1880732

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Miro Hrončok <mhroncok@redhat.com> - 3.2.0-3
- Rebuilt for Python 3.9

* Mon Feb 17 03:14:38 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.2.0-1
- Update to 3.2.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Sep 18 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.1.1-1
- Release 3.1.1 (#1742451)

* Mon Sep 09 2019 Miro Hrončok <mhroncok@redhat.com> - 3.1.0-6
- Subpackage python2-h2 has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 3.1.0-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 03 2019 Miro Hrončok <mhroncok@redhat.com> - 3.1.0-3
- Rebuilt to update automatic Python dependencies

* Fri Mar 08 2019 Jeroen van Meeuwen <vanmeeuwen+fedora@kolabsys.com> - 3.1.0-2
- Add bcond_without docs

* Thu Mar 07 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.1.0-1
- Release 3.1.0
- Run tests

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 3.0.1-2
- Rebuilt for Python 3.7

* Mon May 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.1-1
- Initial package.
